"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var types_1 = require("./types");
var decoratorUtil = tslib_1.__importStar(require("./utils/decorator-util"));
function State() {
    return function (target, propertyName) {
        decoratorUtil.setDecorator(target, propertyName, types_1.DecoratorType.STATE);
    };
}
exports.State = State;
function Module() {
    return function (target, propertyName) {
        decoratorUtil.setDecorator(target, propertyName, types_1.DecoratorType.MODULE);
    };
}
exports.Module = Module;
function Getter() {
    return function (target, propertyName, descriptor) {
        decoratorUtil.setDecorator(target, propertyName, types_1.DecoratorType.GETTER);
    };
}
exports.Getter = Getter;
function Mutation() {
    return function (target, propertyName, descriptor) {
        decoratorUtil.setDecorator(target, propertyName, types_1.DecoratorType.MUTATION);
    };
}
exports.Mutation = Mutation;
function Action() {
    return function (target, propertyName, descriptor) {
        decoratorUtil.setDecorator(target, propertyName, types_1.DecoratorType.ACTION);
    };
}
exports.Action = Action;
//# sourceMappingURL=decorators.js.map